# opkhelper
# lib/load
# Functions for loading library modules.
#
# Copyright (C) 2012 Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

[ -n "${_OH_LOAD_SM}" ] && return 0
_OH_LOAD_SM='true'

# The "common" module is used by this and all other modules.
# We have to manually load the "common" module so we can use it in oh_use.
. '@@PKGLIBDIR@@/common.sm'

# Assume that every library module and utility uses libopkbuild.
. '@@LIBOPKBUILD_1@@/load.sm'

oh_use()
{
	_oh_local _ohu_module

	if [ ${#} -eq 1 ]; then
		_ohu_module="${1}"
	else
		_oh_return 125
		return ${?}
	fi

	_ohu_module='@@PKGLIBDIR@@'"/${_ohu_module}.sm"
	if [ -r "${_ohu_module}" ]; then
		. "${_ohu_module}"
	else
		_oh_return 1
		return ${?}
	fi

	_oh_return 0
	return ${?}
}
